Subject: bug#53412: wrappin text lines is not enough, headers shoould be split too

From: Francesco Potortì <[email-masked]>
Date: Mon, 07 Mar 2022 16:48:59 +0100

>> If there is an overlong header, other headers which are utf-8 escaped are not sent correctly, and the recipient sees something like this:
>>
>> Subject: test =?utf-8?Q?=C3=A0?= b c
>>  =?utf-8?Q?=C3=AC?=
>
>That looks correct to me?

No, if that's what the recipent sees in their inbox.  I don't know why, but mail sent by Emacs with an overlong header (whichever header) ends up with recipients seeing that string in their MUA.

This was true of some tens of recipients, I suppose with several different MUAs.  By the way, that happens also when the MUA is M-x rmail.

I can send mail to you or this list to demonstrate the problem, if you think that would be useful